Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041239
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionarymajorhave not tried2019-07-02 16:012019-08-22 14:44
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision4d817788ca2f
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041239: ADTreeDatasourceService.{getNodeChildenQuery,nodeHasChildren, nodeConformsToWhereClause) are not using bind-params

DescriptionThose functions are not using bind-params.


when fixing please apply new HQL-style to all 3 HQL's in the file
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00412483.0PR19Q3 closedalostale ADTreeDatasourceService.{getNodeChildenQuery,nodeHasChildren, nodeConformsToWhereClause) are not using bind-params 
depends on backport 00412493.0PR19Q2.1 closedalostale ADTreeDatasourceService.{getNodeChildenQuery,nodeHasChildren, nodeConformsToWhereClause) are not using bind-params 
depends on backport 00412503.0PR19Q1.2 closedplatform ADTreeDatasourceService.{getNodeChildenQuery,nodeHasChildren, nodeConformsToWhereClause) are not using bind-params 
related to defect 0041293 closedalostale apply HQL style guide to ADTreeDatasourceService 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113196)
hgbot (developer)
2019-07-05 10:34

Repository: erp/devel/pi
Changeset: 4d817788ca2f4448174f58d38a52c1c30ddfe44f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jul 03 15:38:10 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4d817788ca2f4448174f58d38a52c1c30ddfe44f [^]

fixed bug 041239: use bind parameters in ADTreeDatasourceService

  * Use parameter in query in getNodeChildrenQuery method where possible
  * Do not use deprecated OBDal.getReadableOrganizationsInClause method
  * Properly escape paremeter values in clasues coming from AD

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java
---
(0113208)
caristu (developer)
2019-07-05 18:38

Reviewed
(0114137)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 16:01 shuehner New Issue
2019-07-02 16:01 shuehner Assigned To => platform
2019-07-02 16:01 shuehner Modules => Core
2019-07-02 16:01 shuehner Triggers an Emergency Pack => No
2019-07-02 16:02 shuehner Relationship added blocks 0038136
2019-07-03 15:26 alostale Review Assigned To => caristu
2019-07-03 15:26 alostale Summary ATTreeDatasourceService.{getNodeChildenQuery,nodeHasChildren, nodeConformsToWhereClause) are not using bind-params => ADTreeDatasourceService.{getNodeChildenQuery,nodeHasChildren, nodeConformsToWhereClause) are not using bind-params
2019-07-03 15:26 alostale Status new => scheduled
2019-07-03 15:26 alostale Assigned To platform => alostale
2019-07-04 12:02 shuehner Target Version => 3.0PR19Q4
2019-07-05 10:34 hgbot Checkin
2019-07-05 10:34 hgbot Note Added: 0113196
2019-07-05 10:34 hgbot Status scheduled => resolved
2019-07-05 10:34 hgbot Resolution open => fixed
2019-07-05 10:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4d817788ca2f4448174f58d38a52c1c30ddfe44f [^]
2019-07-05 18:38 caristu Note Added: 0113208
2019-07-05 18:38 caristu Status resolved => closed
2019-07-05 18:38 caristu Fixed in Version => 3.0PR19Q4
2019-07-09 08:47 alostale Relationship added related to 0041293
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114137


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker